## rtpL16pay rtpL16pay |

## Types and Values

struct | GstRtpL16Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPBaseAudioPayload
                            ╰── GstRtpL16Pay

## Description

Payload raw audio into RTP packets according to RFC 3551. For detailed information see: http://www.rfc-editor.org/rfc/rfc3551.txt

### Example pipeline

    1
    gst-launch-1.0 -v audiotestsrc ! audioconvert ! rtpL16pay ! udpsink

This example pipeline will payload raw audio. Refer to the rtpL16depay example to depayload and play the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16BE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)L16, channels=(int)[ 1, 2147483647 ]
| application/x-rtp, media=(string)audio, encoding-name=(string)L16, payload=(int)10, clock-rate=(int)44100
| application/x-rtp, media=(string)audio, encoding-name=(string)L16, payload=(int)11, clock-rate=(int)44100

## Functions

## Types and Values

### struct GstRtpL16Pay

    struct GstRtpL16Pay;

## See Also

rtpL16depay